function [FleetStateOfCharge, FleetRequiredEnergy]=FuncVehiclesStateOfCharge(BatteryCapacity,SpecificConsumption,FleetTravel)
%--------------------------------------------------------------------------
BatteryCapacity = BatteryCapacity;              % [kWh]
SpecificConsumption   = SpecificConsumption;    %[kWh/Mile]
FleetTravelledDistance= FleetTravel ;            % Mile
EnergyConsumed=SpecificConsumption.*FleetTravelledDistance;
StateOfChargeVector=(BatteryCapacity-EnergyConsumed)/BatteryCapacity;
FleetRequiredEnergy=(EnergyConsumed);    
FleetStateOfCharge =(StateOfChargeVector');  %transposing for dimensional match
end