% This function reads the station's data from the Excel file with the given
% parameters and returns them to the main controlling part
function [VehiclesPerHour, TotalVehiclesPerDay] =FuncVehicleAttendance(SheetNumber)
%----------------------------------------------------------------------------------
PopularTimesFromExcel=readmatrix('PopularTimes_ServiceStations.xlsx','Sheet',SheetNumber,'Range','B2:H25');
NumberOfChargingPoints=readmatrix('PopularTimes_ServiceStations.xlsx','Sheet',SheetNumber,'Range','J2:J2');
TotalVehiclesPerDay=readmatrix('PopularTimes_ServiceStations.xlsx','Sheet',SheetNumber,'Range','K2:K2');
%----------------------------------------------------------------------------------
PopTimeOfDay = PopularTimesFromExcel(:,1);         % Reards the data 
TotalVehiclesServedPerDay=TotalVehiclesPerDay;
NumberOfHours=24;                                  
%---------------------------------------------------------------------------------
VectorOfPopularTimes = PopTimeOfDay';              %Transpose the vector for dimensional maching
VehiclesArrivalTime=FuncGenerateDistribution(VectorOfPopularTimes,1,TotalVehiclesServedPerDay); % Calling the relevent function to produce PDF
DataSet=VehiclesArrivalTime;
VehiclesPerHour=zeros(1,numel(VectorOfPopularTimes));
for i=1:numel(VehiclesPerHour)
    for j=1:numel(DataSet)
       if (DataSet(j)>i-1)&&(DataSet(j)<i+1)
        VehiclesPerHour(i)=VehiclesPerHour(i)+1;
       end 
    end
end
VehiclesPerHour=VehiclesPerHour';         % Transpose the vector for dimensional maching (a colum vector)
figure;bar(VehiclesPerHour);title('Vehicles Attendance');               %  vehicle attendance
%----------------------------------------------------------------------------------